Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceSessionFilter

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionFilter

public class VoiceSessionFilter extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `VoiceSessionFilter.CallType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceSessionFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getAccountIds()`
  `VoiceSessionFilter.CallType`
  `getCallType()`
  `Set<Integer>`
  `getContractIds()`
  `String`
  `getContractTitle()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `Set<Integer>`
  `getDeviceIds()`
  `long`
  `getGroupMask()`
  `Date`
  `getHourFrom()`
  `Date`
  `getHourTo()`
  `String`
  `getLogin()`
  `Set<Integer>`
  `getServiceIds()`
  `boolean`
  `isOnlyCharged()`
  `VoiceSessionFilter`
  `setAccountIds(Set<Integer> accountIds)`
  `VoiceSessionFilter`
  `setCallType(VoiceSessionFilter.CallType callType)`
  `VoiceSessionFilter`
  `setContractIds(Set<Integer> contractIds)`
  `void`
  `setContractTitle(String contractTitle)`
  `VoiceSessionFilter`
  `setDateFrom(Date dateFrom)`
  `VoiceSessionFilter`
  `setDateTo(Date dateTo)`
  `VoiceSessionFilter`
  `setDeviceIds(Set<Integer> deviceIds)`
  `void`
  `setGroupMask(long groupMask)`
  `VoiceSessionFilter`
  `setHourFrom(Date hourFrom)`
  `VoiceSessionFilter`
  `setHourTo(Date hourTo)`
  `void`
  `setLogin(String login)`
  `VoiceSessionFilter`
  `setOnlyCharged(boolean onlyCharged)`
  `VoiceSessionFilter`
  `setServiceIds(Set<Integer> serviceIds)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceSessionFilter

    public VoiceSessionFilter()

- ## Method Details

  - ### getContractIds

    public Set<Integer> getContractIds()

  - ### setContractIds

    public VoiceSessionFilter setContractIds(Set<Integer> contractIds)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public VoiceSessionFilter setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public VoiceSessionFilter setDateTo(Date dateTo)

  - ### getServiceIds

    public Set<Integer> getServiceIds()

  - ### setServiceIds

    public VoiceSessionFilter setServiceIds(Set<Integer> serviceIds)

  - ### getDeviceIds

    public Set<Integer> getDeviceIds()

  - ### setDeviceIds

    public VoiceSessionFilter setDeviceIds(Set<Integer> deviceIds)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getLogin

    public String getLogin()

  - ### setLogin

    public void setLogin(String login)

  - ### getAccountIds

    public Set<Integer> getAccountIds()

  - ### setAccountIds

    public VoiceSessionFilter setAccountIds(Set<Integer> accountIds)

  - ### getHourFrom

    public Date getHourFrom()

  - ### setHourFrom

    public VoiceSessionFilter setHourFrom(Date hourFrom)

  - ### getHourTo

    public Date getHourTo()

  - ### setHourTo

    public VoiceSessionFilter setHourTo(Date hourTo)

  - ### getGroupMask

    public long getGroupMask()

  - ### setGroupMask

    public void setGroupMask(long groupMask)

  - ### isOnlyCharged

    public boolean isOnlyCharged()

  - ### setOnlyCharged

    public VoiceSessionFilter setOnlyCharged(boolean onlyCharged)

  - ### getCallType

    public VoiceSessionFilter.CallType getCallType()

  - ### setCallType

    public VoiceSessionFilter setCallType(VoiceSessionFilter.CallType callType)